configure: Enable coverage for all plugins via PLUGIN_CFLAGS
[strongswan.git] / src / libstrongswan / plugins / ntru / Makefile.am
1 AM_CPPFLAGS = \
2         -I$(top_srcdir)/src/libstrongswan
3
4 AM_CFLAGS = \
5         $(PLUGIN_CFLAGS)
6
7 if MONOLITHIC
8 noinst_LTLIBRARIES = libstrongswan-ntru.la
9 else
10 plugin_LTLIBRARIES = libstrongswan-ntru.la
11 endif
12
13 libstrongswan_ntru_la_SOURCES = \
14         ntru_plugin.h ntru_plugin.c \
15         ntru_convert.h ntru_convert.c \
16         ntru_drbg.h ntru_drbg.c \
17         ntru_ke.h ntru_ke.c \
18         ntru_param_set.h ntru_param_set.c \
19         ntru_poly.h ntru_poly.c \
20         ntru_public_key.h ntru_public_key.c \
21         ntru_private_key.h ntru_private_key.c \
22         ntru_trits.h ntru_trits.c
23
24 libstrongswan_ntru_la_LDFLAGS = -module -avoid-version